# Token Balance

<mark style="color:green;">`POST`</mark> `/balance`

This endpoint retrieves the balance of a specific ERC20 token for a given wallet address.&#x20;

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <api_key>` |

The request must be sent as JSON with the following properties:

**Body**

| Name                   | Type   | Description                                    |
| ---------------------- | ------ | ---------------------------------------------- |
| `recipient`            | string | Wallet address for which to check the balance. |
| `assetContractAddress` | string | The ERC20 token contract address.              |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "status": 200,
  "message": "Balance fetched successfully",
  "data": {
    "asset": "ENSC",
    "balance": "1000", 
    "contractAddress": "0x05D032ac25d322df992303dCa074EE7392C117b9"
  }
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "status": 400,
  "error": "Invalid Request",
  "message": "Invalid recipient address",
  "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.prosperavest.com/integrations/publish-your-docs-2/publish-your-docs-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
